## libmediawiki 5.37.0

=== CMakeLists.txt ===
#
# Copyright (c) 2010-2016, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

project(MediaWiki)

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: ${PROJECT_NAME}")

set(CMAKE_MIN_VERSION   "2.8.12")
set(ECM_MIN_VERSION     "1.5.0")
set(KF5_VERSION         "5.5.0")
set(REQUIRED_QT_VERSION "5.2.0")

# Used to set library's SONAME, change first digit on API/ABI break
set(LIBMEDIAWIKI_LIBVERSION         "5.37.0")

cmake_minimum_required(VERSION ${CMAKE_MIN_VERSION})

############## ECM setup #################################################################################################################

find_package(ECM ${ECM_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMPackageConfigHelpers)
include(GenerateExportHeader)
include(FeatureSummary)

ecm_setup_version(${LIBMEDIAWIKI_LIBVERSION}
    VARIABLE_PREFIX MEDIAWIKI
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mediawiki_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaWikiConfigVersion.cmake"
)

# Required Qt5 components to build this framework
find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Network)
find_package(KF5CoreAddons ${KF5_VERSION} REQUIRED)

# Subdirectories
add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(tests)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5MediaWiki")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5MediaWikiConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaWikiConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaWikiConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaWikiConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5MediaWikiTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5MediaWikiTargets.cmake
        NAMESPACE KF5::)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/mediawiki_version.h"
        DESTINATION "${KF5_INCLUDE_INSTALL_DIR}"
        COMPONENT Devel)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

include(ECMMarkAsTest)

macro(mediawiki_tests)
    foreach(_testname ${ARGN})
        add_executable(${_testname} ${_testname}.cpp)
        target_link_libraries(${_testname} Qt5::Test KF5MediaWiki)
        add_test(mediawiki-${_testname} ${_testname})
        ecm_mark_as_test(${_testname})
    endforeach(_testname)
endmacro()

#mediawiki_tests(
#    mediawikitest
#)

=== src/CMakeLists.txt ===
set(mediawiki_SRCS
    image.cpp
    imageinfo.cpp
    mediawiki.cpp
    login.cpp
    logout.cpp
    queryimageinfo.cpp
    queryimages.cpp
    querysiteinfogeneral.cpp
    generalinfo.cpp
    querysiteinfousergroups.cpp
    queryrevision.cpp
    queryinfo.cpp
    edit.cpp
    job.cpp
    usergroup.cpp
    revision.cpp
    page.cpp
    parse.cpp
    protection.cpp
    upload.cpp
)

add_library(KF5MediaWiki ${mediawiki_SRCS})
generate_export_header(KF5MediaWiki BASE_NAME MediaWiki)

add_library(KF5::MediaWiki ALIAS KF5MediaWiki)

target_include_directories(KF5MediaWiki INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/MediaWiki>")

target_link_libraries(KF5MediaWiki
    PRIVATE
        Qt5::Core
        Qt5::Network
        KF5::CoreAddons
)

set_target_properties(KF5MediaWiki
    PROPERTIES VERSION ${MEDIAWIKI_VERSION_STRING}
    SOVERSION ${MEDIAWIKI_SOVERSION}
    EXPORT_NAME "MediaWiki"
)

ecm_generate_headers(MediaWiki_CamelCase_HEADERS

                     HEADER_NAMES
                     Edit
                     Generalinfo
                     Image
                     Imageinfo
                     Job
                     Login
                     Logout
                     MediaWiki
                     Page
                     Parse
                     Protection
                     QueryImageinfo
                     QueryImages
                     QueryInfo
                     QueryRevision
                     QuerySiteInfoGeneral
                     QuerySiteinfoUsergroups
                     Revision
                     Upload
                     UserGroup

                     REQUIRED_HEADERS MediaWiki_HEADERS
)

# Install files
install(TARGETS KF5MediaWiki
        EXPORT KF5MediaWikiTargets
        ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
            ${CMAKE_CURRENT_BINARY_DIR}/mediawiki_export.h
            ${MediaWiki_HEADERS}
            ${MediaWiki_CamelCase_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/MediaWiki
        COMPONENT Devel)

include(ECMGeneratePriFile)

ecm_generate_pri_file(
    BASE_NAME MediaWiki
    LIB_NAME KF5MediaWiki
    DEPS "core network"
    FILENAME_VAR PRI_FILENAME
)

install(FILES ${PRI_FILENAME}
        DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== tests/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

if (POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif (POLICY CMP0063)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

include(ECMMarkAsTest)

macro(mediawiki_executable_tests)
    foreach(_testname ${ARGN})
        add_executable(${_testname} ${_testname}.cpp libmediawikitest/fakeserver.cpp)
        target_link_libraries(${_testname} Qt5::Core Qt5::Test Qt5::Network KF5::MediaWiki KF5::CoreAddons)
        ecm_mark_as_test(${_testname})
        add_test(libmediawiki-${_testname} ${_testname})
    endforeach(_testname)
endmacro()

mediawiki_executable_tests(
    edittest
    logintest
    logouttest
    mediawikitest
    parsetest
    queryimageinfotest
    queryimagestest
    queryinfotest
    queryrevisiontest
    querysiteinfogeneraltest
    querysiteinfousergroupstest
    uploadtest
)

macro(MEDIAWIKI_TEST_RESOURCES)

    foreach(resource ${ARGN})

        add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${resource}"
                            COMMAND ${CMAKE_COMMAND} -E copy
                            "${CMAKE_CURRENT_SOURCE_DIR}/${resource}"
                            "${CMAKE_CURRENT_BINARY_DIR}/${resource}"
                            DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/${resource}")
        list(APPEND test_resources_dest "${resource}" )

    endforeach()

endmacro()

MEDIAWIKI_TEST_RESOURCES(
    parsetest.rc
    queryrevisiontest.rc
    queryrevisiontest_content.rc
    queryrevisiontest_cuted.rc
    queryrevisiontest_onetitle.rc
    queryrevisiontest_parsetree.rc
    queryrevisiontest_rollback.rc
    queryrevisiontest_timestamponly.rc
    queryrevisiontest_useronly.rc
    uploadtest_image.jpg
)

add_custom_target(TestResources ALL DEPENDS ${test_resources_dest})

=== examples/editsample/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

cmake_minimum_required(VERSION 2.8.12)

project(EditSample)

find_package(Qt5 5.2.0 NO_MODULE REQUIRED Core Network Widgets)
find_package(KF5MediaWiki ${KF5_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_VERSION} REQUIRED NO_MODULE)

set(CMAKE_AUTOMOC ON)

add_executable(
    EditSample
    main.cpp
    mainwindow.cpp
)

target_link_libraries(EditSample
    PRIVATE
        Qt5::Core
        Qt5::Network
        Qt5::Widgets
        KF5::MediaWiki
        KF5::CoreAddons
)
set_target_properties(EditSample PROPERTIES COMPILE_FLAGS "-std=c++11")

=== examples/uploadsample/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

cmake_minimum_required(VERSION 2.8.12)

project(UploadSample)

find_package(Qt5 5.2.0 NO_MODULE REQUIRED Core Network Widgets)
find_package(KF5MediaWiki ${KF5_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_VERSION} REQUIRED NO_MODULE)

set(CMAKE_AUTOMOC ON)

add_executable(
    UploadSample
    main.cpp
    mainwindow.cpp
)

target_link_libraries(UploadSample
    PRIVATE
        Qt5::Core
        Qt5::Network
        Qt5::Widgets
        KF5::MediaWiki
        KF5::CoreAddons
)
set_target_properties(UploadSample PROPERTIES COMPILE_FLAGS "-std=c++11")

=== debian/changelog ===
libmediawiki (5.37.0-2) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Point upstream git urls to cgit
  * Update Vcs fields

  [ Pino Toscano ]
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Drop the unused 'acc' autopkgtest.
  * Drop the migration from libmediawiki-dbg, as it never was in any Debian
    stable release.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Update upstream references to https://invent.kde.org/libraries/libmediawiki
  * Use https in the watch file.
  * Fix and simplify copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 21 Aug 2020 09:55:48 +0200

libmediawiki (5.37.0-1) unstable; urgency=medium

  * Initial upload to unstable.  Closes: #873569

 -- Steve M. Robbins <smr@debian.org>  Sun, 05 Nov 2017 21:15:29 -0600

libmediawiki (5.37.0-0neon) xenial; urgency=medium

  * Initial upstream release.

 -- Scarlett Clark <sgclark@kde.org>  Wed, 30 Aug 2017 06:03:06 -0700

libmediawiki (5.35.0-0neon) xenial; urgency=medium

  * Initial release

 -- Scarlett Clark <sgclark@kde.org>  Wed, 05 Jul 2017 08:25:57 -0700

=== debian/control ===
Source: libmediawiki
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Steve M. Robbins <smr@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.28.0~),
               libkf5coreaddons-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/libmediawiki
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libmediawiki
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libmediawiki.git

Package: libkf5mediawiki-dev
Section: libdevel
Architecture: any
Depends: libkf5mediawiki5 (= ${binary:Version}),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends}
Description: libmediawiki is a KDE C++ interface for "MediaWiki"
 libmediawiki is a KDE C++ interface for "MediaWiki":http://www.mediawiki.org
 based web service as "wikipedia.org":http://www.wikipedia.org
 .
 Contains development files for libmediawiki.

Package: libkf5mediawiki5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libmediawiki is a KDE C++ interface for "MediaWiki"
 libmediawiki is a KDE C++ interface for "MediaWiki":http://www.mediawiki.org
 based web service as "wikipedia.org":http://www.wikipedia.org
Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf5

override_dh_auto_test:
	# Disable dh_auto_test
	:

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/libmediawiki/libmediawiki-([\d.]+)\.tar\.xz

## libmediawiki 5.38.0

=== CMakeLists.txt ===
#
# Copyright (c) 2010-2016, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

cmake_minimum_required(VERSION 3.16.0)

# Used to set library's SONAME, change first digit on API/ABI break
set(LIBMEDIAWIKI_LIBVERSION         "5.38.0")

project(MediaWiki VERSION ${LIBMEDIAWIKI_LIBVERSION})

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: ${PROJECT_NAME}")

set(KF_MIN_VERSION "5.85.0")
set(QT_MIN_VERSION "5.15.0")

############## ECM setup #################################################################################################################

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)
include(FeatureSummary)

# Required Qt5 components to build this framework
find_package(Qt5 ${QT_MIN_VERSION} NO_MODULE REQUIRED Core Network)
find_package(KF5CoreAddons ${KF_MIN_VERSION} REQUIRED)

ecm_setup_version(${LIBMEDIAWIKI_LIBVERSION}
    VARIABLE_PREFIX MEDIAWIKI
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mediawiki_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaWikiConfigVersion.cmake"
)

# added with KDE_COMPILERSETTINGS_LEVEL 5.85.0
remove_definitions(
    -DQT_NO_KEYWORDS
    -DQT_NO_FOREACH
)

# Subdirectories
add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(tests)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MediaWiki")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5MediaWikiConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaWikiConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaWikiConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaWikiConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5MediaWikiTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5MediaWikiTargets.cmake
        NAMESPACE KF5::)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/mediawiki_version.h"
        DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF5}"
        COMPONENT Devel)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Test)

include(ECMMarkAsTest)

macro(mediawiki_tests)
    foreach(_testname ${ARGN})
        add_executable(${_testname} ${_testname}.cpp)
        target_link_libraries(${_testname} Qt5::Test KF5MediaWiki)
        add_test(NAME mediawiki-${_testname} COMMAND ${_testname})
        ecm_mark_as_test(${_testname})
    endforeach(_testname)
endmacro()

#mediawiki_tests(
#    mediawikitest
#)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,12 @@
-set(mediawiki_SRCS
+add_library(KF5MediaWiki)
+add_library(KF5::MediaWiki ALIAS KF5MediaWiki)
+set_target_properties(KF5MediaWiki
+    PROPERTIES VERSION ${MEDIAWIKI_VERSION}
+    SOVERSION ${MEDIAWIKI_SOVERSION}
+    EXPORT_NAME "MediaWiki"
+)
+
+target_sources(KF5MediaWiki PRIVATE
     image.cpp
     imageinfo.cpp
     mediawiki.cpp
@@ -21,24 +29,15 @@
     upload.cpp
 )
 
-add_library(KF5MediaWiki ${mediawiki_SRCS})
 generate_export_header(KF5MediaWiki BASE_NAME MediaWiki)
 
-add_library(KF5::MediaWiki ALIAS KF5MediaWiki)
-
-target_include_directories(KF5MediaWiki INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/MediaWiki>")
+target_include_directories(KF5MediaWiki INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/MediaWiki>")
 
 target_link_libraries(KF5MediaWiki
-    PRIVATE
+    PUBLIC
         Qt5::Core
         Qt5::Network
         KF5::CoreAddons
-)
-
-set_target_properties(KF5MediaWiki
-    PROPERTIES VERSION ${MEDIAWIKI_VERSION_STRING}
-    SOVERSION ${MEDIAWIKI_SOVERSION}
-    EXPORT_NAME "MediaWiki"
 )
 
 ecm_generate_headers(MediaWiki_CamelCase_HEADERS
@@ -71,13 +70,13 @@
 # Install files
 install(TARGETS KF5MediaWiki
         EXPORT KF5MediaWikiTargets
-        ${INSTALL_TARGETS_DEFAULT_ARGS})
+        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 
 install(FILES
             ${CMAKE_CURRENT_BINARY_DIR}/mediawiki_export.h
             ${MediaWiki_HEADERS}
             ${MediaWiki_CamelCase_HEADERS}
-        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/MediaWiki
+        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/MediaWiki
         COMPONENT Devel)
 
 include(ECMGeneratePriFile)
@@ -85,7 +84,7 @@
 ecm_generate_pri_file(
     BASE_NAME MediaWiki
     LIB_NAME KF5MediaWiki
-    DEPS "core network"
+    DEPS "core network KCoreAddons"
     FILENAME_VAR PRI_FILENAME
 )

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,7 @@
 # Redistribution and use is allowed according to the terms of the BSD license.
 # For details see the accompanying COPYING-CMAKE-SCRIPTS file.
 
-if (POLICY CMP0063)
-    cmake_policy(SET CMP0063 NEW)
-endif (POLICY CMP0063)
-
-find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Test)
 
 include(ECMMarkAsTest)
 
@@ -17,7 +13,7 @@
         add_executable(${_testname} ${_testname}.cpp libmediawikitest/fakeserver.cpp)
         target_link_libraries(${_testname} Qt5::Core Qt5::Test Qt5::Network KF5::MediaWiki KF5::CoreAddons)
         ecm_mark_as_test(${_testname})
-        add_test(libmediawiki-${_testname} ${_testname})
+        add_test(NAME libmediawiki-${_testname} COMMAND ${_testname})
     endforeach(_testname)
 endmacro()

=== examples/editsample/CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 # Redistribution and use is allowed according to the terms of the BSD license.
 # For details see the accompanying COPYING-CMAKE-SCRIPTS file.
 
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.16.0)
 
 project(EditSample)
 
-find_package(Qt5 5.2.0 NO_MODULE REQUIRED Core Network Widgets)
-find_package(KF5MediaWiki ${KF5_VERSION} REQUIRED)
-find_package(KF5CoreAddons ${KF5_VERSION} REQUIRED NO_MODULE)
+find_package(Qt5 5.15.0 NO_MODULE REQUIRED Core Network Widgets)
+find_package(KF5MediaWiki REQUIRED)
+find_package(KF5CoreAddons REQUIRED NO_MODULE)
 
 set(CMAKE_AUTOMOC ON)

=== examples/uploadsample/CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 # Redistribution and use is allowed according to the terms of the BSD license.
 # For details see the accompanying COPYING-CMAKE-SCRIPTS file.
 
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.16.0)
 
 project(UploadSample)
 
-find_package(Qt5 5.2.0 NO_MODULE REQUIRED Core Network Widgets)
-find_package(KF5MediaWiki ${KF5_VERSION} REQUIRED)
-find_package(KF5CoreAddons ${KF5_VERSION} REQUIRED NO_MODULE)
+find_package(Qt5 5.15.0 NO_MODULE REQUIRED Core Network Widgets)
+find_package(KF5MediaWiki REQUIRED)
+find_package(KF5CoreAddons REQUIRED NO_MODULE)
 
 set(CMAKE_AUTOMOC ON)

=== debian/changelog ===
libmediawiki (5.38.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the upstream GPG signing key.
  * Update the patches:
    - upstream_Fix-compilation-error-with-Qt-5.15.patch: drop, backported
      from upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16.0
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.85.0
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Sat, 27 Aug 2022 19:11:06 +0200

libmediawiki (5.37.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes required.
  * Fix Maintainer to the canonical form.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Backport upstream commit 7c79dae079d20b46d05462ed9f5b3cfae78f420a to fix the
    build with newer Qt 5.15.x; patch
    upstream_Fix-compilation-error-with-Qt-5.15.patch. (Closes: #1013543)
  * Reword the descriptions.
  * Add the libkf5coreaddons-dev dependency to libkf5mediawiki-dev, as it uses
    headers from that in public headers.

 -- Pino Toscano <pino@debian.org>  Sun, 03 Jul 2022 08:31:25 +0200

=== debian/control ===
Source: libmediawiki
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.85.0~),
               libkf5coreaddons-dev (>= 5.85.0~),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/libmediawiki
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libmediawiki
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libmediawiki.git

Package: libkf5mediawiki-dev
Section: libdevel
Architecture: any
Depends: libkf5mediawiki5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.85.0~),
         qtbase5-dev (>= 5.15.0~),
         ${misc:Depends}
Description: access to the API of MediaWiki sites - development files
 libmediawiki is a C++/Qt library to interface MediaWiki websites:
 https://www.mediawiki.org.
 .
 This package contains the development files for libmediawiki.

Package: libkf5mediawiki5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: access to the API of MediaWiki sites - shared library
 libmediawiki is a C++/Qt library to interface MediaWiki websites:
 https://www.mediawiki.org.
 .
 This package contains the shared library.
Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_test:
	# Disable dh_auto_test
	:
